## ros-humble-transmission-interface 2.31.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(transmission_interface)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
    hardware_interface
    pluginlib
    rclcpp
)

find_package(ament_cmake REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

install(
  DIRECTORY include/
  DESTINATION include
)

add_library(${PROJECT_NAME} SHARED
  src/simple_transmission_loader.cpp
  src/four_bar_linkage_transmission_loader.cpp
  src/differential_transmission_loader.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC include)
ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})

pluginlib_export_plugin_description_file(${PROJECT_NAME} ros2_control_plugins.xml)

install(TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)

  ament_add_gmock(
    test_simple_transmission
    test/simple_transmission_test.cpp
  )
  target_include_directories(test_simple_transmission PUBLIC include hardware_interface)
  ament_target_dependencies(test_simple_transmission hardware_interface)

  ament_add_gmock(
    test_differential_transmission
    test/differential_transmission_test.cpp
  )
  target_include_directories(test_differential_transmission PUBLIC include hardware_interface)
  ament_target_dependencies(test_differential_transmission hardware_interface)

  ament_add_gmock(
    test_four_bar_linkage_transmission
    test/four_bar_linkage_transmission_test.cpp
  )
  target_include_directories(test_four_bar_linkage_transmission PUBLIC include hardware_interface)
  ament_target_dependencies(test_four_bar_linkage_transmission hardware_interface)

  ament_add_gmock(
    test_simple_transmission_loader
    test/simple_transmission_loader_test.cpp
  )
  target_include_directories(test_simple_transmission_loader PUBLIC include hardware_interface)
  ament_target_dependencies(test_simple_transmission_loader hardware_interface)

  ament_add_gmock(
    test_four_bar_linkage_transmission_loader
    test/four_bar_linkage_transmission_loader_test.cpp
  )
  target_include_directories(test_four_bar_linkage_transmission_loader PUBLIC include hardware_interface)
  ament_target_dependencies(test_four_bar_linkage_transmission_loader hardware_interface)

  ament_add_gmock(
    test_differential_transmission_loader
    test/differential_transmission_loader_test.cpp
  )
  target_include_directories(test_differential_transmission_loader PUBLIC include hardware_interface)
  ament_target_dependencies(test_differential_transmission_loader hardware_interface)

  ament_add_gmock(
    test_utils
    test/utils_test.cpp
  )
  target_include_directories(test_utils PUBLIC include hardware_interface)
  ament_target_dependencies(test_utils hardware_interface)
endif()

ament_export_include_directories(
  include
)
ament_export_dependencies(
  hardware_interface
)

ament_export_libraries(
  ${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-transmission-interface (2.31.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-transmission-interface (2.30.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-transmission-interface (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-transmission-interface (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-transmission-interface (2.27.0-1jammy) jammy; urgency=high

  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-transmission-interface (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-transmission-interface (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-transmission-interface (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-transmission-interface (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-transmission-interface (2.25.0-1jammy) jammy; urgency=high

  * Split transmission interfaces (backport #938 <https://github.com/ros-controls/ros2_control/issues/938>) (#968 <https://github.com/ros-controls/ros2_control/issues/968>)
  * Contributors: Noel Jiménez García, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-transmission-interface (2.24.1-1jammy) jammy; urgency=high

  * Fix missing include (#963 <https://github.com/ros-controls/ros2_control/issues/963>) (#965 <https://github.com/ros-controls/ros2_control/issues/965>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-transmission-interface (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-transmission-interface (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-transmission-interface (2.22.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-transmission-interface (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-transmission-interface (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-transmission-interface (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-transmission-interface (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-transmission-interface (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-transmission-interface (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Oct 2022 23:00:00 -0000

ros-humble-transmission-interface (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-humble-transmission-interface (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-humble-transmission-interface (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-humble-transmission-interface (2.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-transmission-interface (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-transmission-interface (2.11.0-1jammy) jammy; urgency=high

  * [Interfaces] Improved ```get_name()``` method of hardware interfaces #api-breaking (#737 <https://github.com/ros-controls/ros2_control/issues/737>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Remove ament autolint (#749 <https://github.com/ros-controls/ros2_control/issues/749>)
  * Fixup ament cpplint on 22.04 (#747 <https://github.com/ros-controls/ros2_control/issues/747>)
  * Contributors: Bence Magyar, Denis Štogl, Lucas Schulze

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-transmission-interface (2.10.0-1jammy) jammy; urgency=high

  * CMakeLists cleanup (#733 <https://github.com/ros-controls/ros2_control/issues/733>)
  * Update to clang format 12 (#731 <https://github.com/ros-controls/ros2_control/issues/731>)
  * Contributors: Andy Zelenak, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-transmission-interface (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 May 2022 23:00:00 -0000

ros-humble-transmission-interface (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-transmission-interface (2.7.0-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-humble-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-ros-workspace
Description: transmission_interface contains data structures for representing mechanical transmissions, methods for propagating values between actuator and joint spaces and tooling to support this.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-transmission-interface//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-transmission-interface 2.41.0

=== debian/changelog ===
ros-humble-transmission-interface (2.41.0-1bookworm) bookworm; urgency=high

  * rosdoc2 for transmission_interface (#1496 <https://github.com/ros-controls/ros2_control/issues/1496>) (#1509 <https://github.com/ros-controls/ros2_control/issues/1509>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-transmission-interface (2.40.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-transmission-interface (2.39.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Feb 2024 16:00:00 -0000

ros-humble-transmission-interface (2.39.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-transmission-interface (2.38.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Jan 2024 16:00:00 -0000

ros-humble-transmission-interface (2.37.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-transmission-interface (2.36.1-1bookworm) bookworm; urgency=high

  * Improve transmission tests (#1238 <https://github.com/ros-controls/ros2_control/issues/1238>) (#1241 <https://github.com/ros-controls/ros2_control/issues/1241>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-transmission-interface (2.36.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-transmission-interface (2.35.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-transmission-interface (2.35.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-transmission-interface (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-transmission-interface (2.33.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Oct 2023 16:00:00 -0000

ros-humble-transmission-interface (2.32.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-transmission-interface (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-transmission-interface (2.30.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-transmission-interface (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 16:00:00 -0000

ros-humble-transmission-interface (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-transmission-interface (2.27.0-1bookworm) bookworm; urgency=high

  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-transmission-interface (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 16:00:00 -0000

ros-humble-transmission-interface (2.25.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 16:00:00 -0000

ros-humble-transmission-interface (2.25.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 16:00:00 -0000

ros-humble-transmission-interface (2.25.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-transmission-interface (2.25.0-1bookworm) bookworm; urgency=high

  * Split transmission interfaces (backport #938 <https://github.com/ros-controls/ros2_control/issues/938>) (#968 <https://github.com/ros-controls/ros2_control/issues/968>)
  * Contributors: Noel Jiménez García, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 16:00:00 -0000

ros-humble-transmission-interface (2.24.1-1bookworm) bookworm; urgency=high

  * Fix missing include (#963 <https://github.com/ros-controls/ros2_control/issues/963>) (#965 <https://github.com/ros-controls/ros2_control/issues/965>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2023 16:00:00 -0000

ros-humble-transmission-interface (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Feb 2023 16:00:00 -0000

ros-humble-transmission-interface (2.23.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 19 Feb 2023 16:00:00 -0000

ros-humble-transmission-interface (2.22.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Jan 2023 16:00:00 -0000

ros-humble-transmission-interface (2.21.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 Jan 2023 16:00:00 -0000

ros-humble-transmission-interface (2.20.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Jan 2023 16:00:00 -0000

ros-humble-transmission-interface (2.19.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Jan 2023 16:00:00 -0000

ros-humble-transmission-interface (2.18.0-1bookworm) bookworm; urgency=high





=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-transmission-interface//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-transmission-interface//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-transmission-interface//opt/ros/humble/opt/transmission_interface/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-transmission-interface 2.43.1

=== debian/changelog ===
ros-humble-transmission-interface (2.43.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-transmission-interface (2.43.0-1bookworm) bookworm; urgency=high

  * Fix flaky transmission_interface tests by making them deterministic. (backport #1665 <https://github.com/ros-controls/ros2_control/issues/1665>) (#1670 <https://github.com/ros-controls/ros2_control/issues/1670>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-transmission-interface (2.42.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000
